//+------------------------------------------------------------------+ 
//|    _TRO_FILL_IN_MA                                               | 
//|   Avery T. Horton, Jr. aka TheRumpledOne                         |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   therumpledone@gmail.com                                        |  
//+------------------------------------------------------------------+ 
//|Modified by AMB (cattus)                              July 2008   |
//|in order to make the calculations with AllAverages_v2.1 of Igorad |
//+------------------------------------------------------------------+ 
#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 
 

#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1  DarkSeaGreen
#property indicator_color2  LightCoral
#property indicator_color3  Yellow
#property indicator_color4  Aqua
#property indicator_width1  5
#property indicator_width2  5
#property indicator_width3  2
#property indicator_width4  3



/* Prices
PRICE_CLOSE 0 Close price. 
PRICE_OPEN 1 Open price. 
PRICE_HIGH 2 High price. 
PRICE_LOW 3 Low price. 
PRICE_MEDIAN 4 Median price, (high+low)/2. 
PRICE_TYPICAL 5 Typical price, (high+low+close)/3. 
PRICE_WEIGHTED 6 Weighted close price, (high+low+close+close)/4. 
*/

/* List of MAs:
// MA_Method= 0: SMA        - Simple Moving Average
// MA_Method= 1: EMA        - Exponential Moving Average
// MA_Method= 2: Wilder     - Wilder Exponential Moving Average
// MA_Method= 3: LWMA       - Linear Weighted Moving Average 
// MA_Method= 4: SineWMA    - Sine Weighted Moving Average
// MA_Method= 5: TriMA      - Triangular Moving Average
// MA_Method= 6: LSMA       - Least Square Moving Average (or EPMA, Linear Regression Line)
// MA_Method= 7: SMMA       - Smoothed Moving Average
// MA_Method= 8: HMA        - Hull Moving Average by Alan Hull
// MA_Method= 9: ZeroLagEMA - Zero-Lag Exponential Moving Average
// MA_Method=10: DEMA       - Double Exponential Moving Average by Patrick Mulloy
// MA_Method=11: T3         - T3 by T.Tillson
// MA_Method=12: ITrend     - Instantaneous Trendline by J.Ehlers
// MA_Method=13: Median     - Moving Median
// MA_Method=14: GeoMean    - Geometric Mean
// MA_Method=15: REMA       - Regularized EMA by Chris Satchwell
// MA_Method=16: ILRS       - Integral of Linear Regression Slope 
// MA_Method=17: IE/2       - Combination of LSMA and ILRS 
*/

extern string note1 = "----- PRICE -----";
extern string note2 = "0:Close,1:Open,2:High,3:Low";
extern string note3 = "4:Median,5:Typical,6:Weighted";
extern string note4 = "----- METHOD OF MOVING AVERAGE -----";
extern string note5 = "0:SMA,1:EMA,2:Wilder,3:LWMA";
extern string note6 = "4:SineWMA,5:TriMA,6:LSMA";
extern string note7 = "7:SMMA,8:HMA,9:ZeroLagEMA";
extern string note8 = "10:DEMA,11:T3,12:ITrend";
extern string note9 = "13:Median,14:GeoMean,15:REMA";
extern string note10 = "16:ILRS,17:IE/2";
extern string note11 = "----- Fast Moving Average -----";
extern int FastMA=5;
extern int FastMA_Price=0;
extern int FastMA_Method=0;
extern string note12 = "----- Slow Moving Average ------";
extern int SlowMA=34;
extern int SlowMA_Price=0;
extern int SlowMA_Method=0;
extern string note13 = "----- Other Info for AllAverages ------";
extern int TimeFrame    =  0;
extern int MA_Shift     =  0;

extern int myChartPeriod    = 0 ;
extern color zoneColor      = DarkGray;

string  tChartPeriod ;  

string indNames = "DailyData";
double     ind_Buffer0[];
double     ind_Buffer1[];
double     ind_Buffer2[];
double     ind_Buffer3[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int init()
{

   if(myChartPeriod == 0) { myChartPeriod = Period() ; }    
   tChartPeriod =  TimeFrameToString(myChartPeriod) ;

   SetIndexStyle(0,DRAW_HISTOGRAM,0,5);
   SetIndexDrawBegin(0,ind_Buffer0);
   SetIndexBuffer(0,ind_Buffer0) ;  
      
   SetIndexStyle(1,DRAW_HISTOGRAM,0,5);
   SetIndexDrawBegin(1,ind_Buffer1);   
   SetIndexBuffer(1,ind_Buffer1) ;


   SetIndexStyle(2,DRAW_LINE);
   SetIndexDrawBegin(2,ind_Buffer2);   
   SetIndexBuffer(2,ind_Buffer2) ;
   
   SetIndexStyle(3,DRAW_LINE);
   SetIndexDrawBegin(3,ind_Buffer3);   
   SetIndexBuffer(3,ind_Buffer3) ;      
   
   
  return(0);
}
int deinit()
{

   return(0);
}

//+------------------------------------------------------------------+

int start()
{

DoWork( ) ;
 
   return(0);
  }

//+------------------------------------------------------------------+  
 

void DoWork( )
{
   string name  = indNames+"-1";


   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(int i=0; i<limit; i++)   
   {
   ind_Buffer0[i] = iCustom(NULL,0,"AllAverages_v2.1",TimeFrame,FastMA_Price,FastMA,MA_Shift,FastMA_Method,0,i) ;
   ind_Buffer1[i] = iCustom(NULL,0,"AllAverages_v2.1",TimeFrame,SlowMA_Price,SlowMA,MA_Shift,SlowMA_Method,0,i) ;
   
   ind_Buffer2[i] = ind_Buffer0[i] ;
   ind_Buffer3[i] = ind_Buffer1[i] ;        
   } // for                
}


//+------------------------------------------------------------------+ 

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}