//+-----------------------------------------------------------------------+
//|  tro+JoGET_MultiPairs+                         +JoGET_MultiPairs+.mq4 |
//|                                                               masemus |
//|                                            Gresik_JawaTimur_Indonesia |
//+-----------------------------------------------------------------------+

/**************************************************************************
* MultiPairs on RSI 
* Default Setting : RSI = 5, Apply to = Close,
*                   MyOB = 70; MyMID = 50; MyOS = 30;

* Scalping on TF M15 :: TargetPoint 10 pips.
* Major Pairs = EURUSD; GBPUSD; AUDUSD; USDCAD; USDCHF; USDJPY;
* Group A   vs    Group B ; use one and others as a reversal signal.
* EURUSD          USDJPY
* GBPUSD          USDCHF
* AUDUSD          USDCAD

* Option 1 :: Entry && Exit on crossback MyOB or MyOS line.
* Option 2 :: Entry && Exit on crossover MID.Line.
* or Exit if one of them give a reversal signal.

* Also see @ sign on the right.
* MID.Line with Signal UP == strong.

* Example for Option 1 ;
* :: SELL on Group A == BUY on Group B; if --
* Group A (EURUSD;GBPUSD;AUDUSD) all Green/MediumSeaGreen with Signal DN
* && Group B (USDCAD;USDCHF;USDJPY) all RED/DarkOrange with Signal UP.

* :: BUY on Group A == SELL on Group B; if -- vice versa.

* Example for Option 2 ;
* :: SELL on Group A == BUY on Group B; if --
* Group A (EURUSD;GBPUSD;AUDUSD) all RED/DarkOrange with Signal DN
* && Group B (USDCAD;USDCHF;USDJPY) all Green/MediumSeaGreen with Signal UP.

* :: BUY on Group A == SELL on Group B; if -- vice versa.
**************************************************************************/


#property copyright "masemus"
#property link      "Gresik_JawaTimur_Indonesia"

#property indicator_separate_window
#property indicator_level1 0.001
#property indicator_level2 -0.001
#property indicator_level3 0

#property indicator_levelcolor Gray
#property indicator_buffers 7
#property indicator_color1 White
#property indicator_color2 Red
#property indicator_color3 Magenta
#property indicator_color4 Aqua
#property indicator_color5 LimeGreen
#property indicator_color6 Gold
#property indicator_color7 Silver




//#property indicator_levelwidth 1
//#property indicator_levelstyle 0


//****************************************
extern bool EURUSD = true; 
extern bool GBPUSD = true; 
extern bool USDCHF = true; 
extern bool USDJPY = true; 
extern bool AUDUSD = true; 
extern bool USDCAD = true; 
//****************************************
extern color MID.Line_clr = White;
extern color EURUSD_clr = Red;
extern color GBPUSD_clr = Magenta;
extern color USDCHF_clr = Aqua;
extern color USDJPY_clr = LimeGreen;
extern color AUDUSD_clr = Gold;
extern color USDCAD_clr = Silver;

extern int MyRSI = 2;
extern int Price_Type = 0;
extern int MyRSI_OB = 95;
extern int MyRSI_MID = 50;
extern int MyRSI_OS = 05;

extern int bars_limit = 1500;
//****************************************

double Idx1[],Idx2[],Idx3[],Idx4[],Idx5[],Idx6[],Idx7[];


      double EUR ; 
      double GBP ;  
      double AUD ;         
      double CHF ;  
      double CAD ;  
      double JPY, USD ; 
      
//+-----------------------------------------------------------------------+
//| Custom indicator initialization function                              |
//+-----------------------------------------------------------------------+
int init()
  {
//---- indicators
  IndicatorShortName("TRO+JoGET_MultiPairs+");
//----
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Idx1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,Idx2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,Idx3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,Idx4);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,Idx5);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,Idx6);
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,Idx7);
//----
   return(0);
  }
//+-----------------------------------------------------------------------+
//| Custor indicator deinitialization function                            |
//+-----------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_LABEL);
//----
   return(0);
  }
//+-----------------------------------------------------------------------+
//| Custom indicator iteration function                                   |
//+-----------------------------------------------------------------------+
int start()
  {  
   int counted_bars=IndicatorCounted();
//----
   for (int i = 0; i < bars_limit; i++){

       EUR= iClose("EURUSD",0,i) - iClose("EURUSD",0,i+1) ; 
       GBP= iClose("GBPUSD",0,i) - iClose("GBPUSD",0,i+1) ;  
       AUD= iClose("AUDUSD",0,i) - iClose("AUDUSD",0,i+1) ;         
       CHF= iClose("USDCHF",0,i) - iClose("USDCHF",0,i+1) ;  
       CAD= iClose("USDCAD",0,i) - iClose("USDCAD",0,i+1) ;  
       JPY= ( iClose("USDJPY",0,i) - iClose("USDJPY",0,i+1) ) / 100 ; 
      
       USD = (EUR+GBP+CHF+AUD+CAD+JPY)/6; 

      Idx1[i] = USD;
      if(EURUSD){
      Idx2[i] = EUR;
      }
      if(GBPUSD){
      Idx3[i] = GBP;
      }
      if(USDCHF){
      Idx4[i] = CHF;
      }
      if(USDJPY){
      Idx5[i] = JPY;
      }
      if(AUDUSD){
      Idx6[i] = AUD;
      }
      if(USDCAD){
      Idx7[i] = CAD;
      }

  //*****************************************************************************************************
      double cEUR=iClose("EURUSD",0,0)  ; 
      double pEUR=iClose("EURUSD",0,1)  ;
      double cGBP=iClose("GBPUSD",0,0)  ; 
      double pGBP=iClose("GBPUSD",0,1)  ; 
      double cAUD=iClose("AUDUSD",0,0)  ; 
      double pAUD=iClose("AUDUSD",0,1)  ; 
      double cCHF=iClose("USDCHF",0,0)  ; 
      double pCHF=iClose("USDCHF",0,1)  ; 
      double cCAD=iClose("USDCAD",0,0)  ; 
      double pCAD=iClose("USDCAD",0,1)  ; 
      double cJPY=iClose("USDJPY",0,0)  ;
      double pJPY=iClose("USDJPY",0,1)  ;
      
      double cUSD = (cEUR+cGBP+cCHF+cAUD+cCAD+cJPY)/6; 
      double pUSD = (pEUR+pGBP+pCHF+pAUD+pCAD+pJPY)/6; 

  //**********************************************************************************************
   string LvEUR = "", LvGBP = "", LvAUD = "", LvCHF = "", 
          LvCAD = "", LvJPY = "", LvUSD = "";
   color level_clr1,level_clr2,level_clr3,level_clr4,
         level_clr5,level_clr6,level_clr7;
   
   if ((cEUR > MyRSI_MID) && (cEUR <= MyRSI_OB)) { LvEUR = "n"; level_clr1 = MediumSeaGreen; }
   if ((cEUR < MyRSI_MID) && (cEUR >= MyRSI_OS)) { LvEUR = "n"; level_clr1 = DarkOrange; }
   if (cEUR == MyRSI_MID) { LvEUR = "n"; level_clr1 = Gray; }
   if ((cEUR > MyRSI_OB) && (cEUR <= 100)) { LvEUR = "n"; level_clr1 = Green; }
   if ((cEUR < MyRSI_OS) && (cEUR >= 0)) { LvEUR = "n"; level_clr1 = Red; }

   if ((cGBP > MyRSI_MID) && (cGBP <= MyRSI_OB)) { LvGBP = "n"; level_clr2 = MediumSeaGreen; }
   if ((cGBP < MyRSI_MID) && (cGBP >= MyRSI_OS)) { LvGBP = "n"; level_clr2 = DarkOrange; }
   if (cGBP == MyRSI_MID) { LvGBP = "n"; level_clr2 = Gray; }
   if ((cGBP > MyRSI_OB) && (cGBP <= 100)) { LvGBP = "n"; level_clr2 = Green; }
   if ((cGBP < MyRSI_OS) && (cGBP >= 0)) { LvGBP = "n"; level_clr2 = Red; }

   if ((cAUD > MyRSI_MID) && (cAUD <= MyRSI_OB)) { LvAUD = "n"; level_clr3 = MediumSeaGreen; }
   if ((cAUD < MyRSI_MID) && (cAUD >= MyRSI_OS)) { LvAUD = "n"; level_clr3 = DarkOrange; }
   if (cAUD == MyRSI_MID) { LvAUD = "n"; level_clr3 = Gray; }
   if ((cAUD > MyRSI_OB) && (cAUD <= 100)) { LvAUD = "n"; level_clr3 = Green; }
   if ((cAUD < MyRSI_OS) && (cAUD >= 0)) { LvAUD = "n"; level_clr3 = Red; }

   if ((cCHF > MyRSI_MID) && (cCHF <= MyRSI_OB)) { LvCHF = "n"; level_clr4 = MediumSeaGreen; }
   if ((cCHF < MyRSI_MID) && (cCHF >= MyRSI_OS)) { LvCHF = "n"; level_clr4 = DarkOrange; }
   if (cCHF == MyRSI_MID) { LvCHF = "n"; level_clr4 = Gray; }
   if ((cCHF > MyRSI_OB) && (cCHF <= 100)) { LvCHF = "n"; level_clr4 = Green; }
   if ((cCHF < MyRSI_OS) && (cCHF >= 0)) { LvCHF = "n"; level_clr4 = Red; }

   if ((cCAD > MyRSI_MID) && (cCAD <= MyRSI_OB)) { LvCAD = "n"; level_clr5 = MediumSeaGreen; }
   if ((cCAD < MyRSI_MID) && (cCAD >= MyRSI_OS)) { LvCAD = "n"; level_clr5 = DarkOrange; }
   if (cCAD == MyRSI_MID) { LvCAD = "n"; level_clr5 = Gray; }
   if ((cCAD > MyRSI_OB) && (cCAD <= 100)) { LvCAD = "n"; level_clr5 = Green; }
   if ((cCAD < MyRSI_OS) && (cCAD >= 0)) { LvCAD = "n"; level_clr5 = Red; }

   if ((cJPY > MyRSI_MID) && (cJPY <= MyRSI_OB)) { LvJPY = "n"; level_clr6 = MediumSeaGreen; }
   if ((cJPY < MyRSI_MID) && (cJPY >= MyRSI_OS)) { LvJPY = "n"; level_clr6 = DarkOrange; }
   if (cJPY == MyRSI_MID) { LvJPY = "n"; level_clr6 = Gray; }
   if ((cJPY > MyRSI_OB) && (cJPY <= 100)) { LvJPY = "n"; level_clr6 = Green; }
   if ((cJPY < MyRSI_OS) && (cJPY >= 0)) { LvJPY = "n"; level_clr6 = Red; }

   if ((cUSD > MyRSI_MID) && (cUSD <= MyRSI_OB)) { LvUSD = "n"; level_clr7 = MediumSeaGreen; }
   if ((cUSD < MyRSI_MID) && (cUSD >= MyRSI_OS)) { LvUSD = "n"; level_clr7 = DarkOrange; }
   if (cUSD == MyRSI_MID) { LvUSD = "n"; level_clr7 = Gray; }
   if ((cUSD > MyRSI_OB) && (cUSD <= 100)) { LvUSD = "n"; level_clr7 = Green; }
   if ((cUSD < MyRSI_OS) && (cUSD >= 0)) { LvUSD = "n"; level_clr7 = Red; }

  //**********************************************************************************************
   string udEUR = "", udGBP = "", udAUD = "", udCHF = "", 
          udCAD = "", udJPY = "", udUSD = "";
   color updn_clr1, updn_clr2, updn_clr3, updn_clr4, 
         updn_clr5, updn_clr6, updn_clr7;
   
   if (cEUR > pEUR) { udEUR = "5"; updn_clr1 = Lime; }
   if (cEUR < pEUR) { udEUR = "6"; updn_clr1 = Yellow; }
   if (cEUR == pEUR) { udEUR = "="; updn_clr1 = Gray; }

   if (cGBP > pGBP) { udGBP = "5"; updn_clr2 = Lime; }
   if (cGBP < pGBP) { udGBP = "6"; updn_clr2 = Yellow; }
   if (cGBP == pGBP) { udGBP = "="; updn_clr2 = Gray; }

   if (cAUD > pAUD) { udAUD = "5"; updn_clr3 = Lime; }
   if (cAUD < pAUD) { udAUD = "6"; updn_clr3 = Yellow; }
   if (cAUD == pAUD) { udAUD = "="; updn_clr3 = Gray; }

   if (cCHF > pCHF) { udCHF = "5"; updn_clr4 = Lime; }
   if (cCHF < pCHF) { udCHF = "6"; updn_clr4 = Yellow; }
   if (cCHF == pCHF) { udCHF = "="; updn_clr4 = Gray; }

   if (cCAD > pCAD) { udCAD = "5"; updn_clr5 = Lime; }
   if (cCAD < pCAD) { udCAD = "6"; updn_clr5 = Yellow; }
   if (cCAD == pCAD) { udCAD = "="; updn_clr5 = Gray; }

   if (cJPY > pJPY) { udJPY = "5"; updn_clr6 = Lime; }
   if (cJPY < pJPY) { udJPY = "6"; updn_clr6 = Yellow; }
   if (cJPY == pJPY) { udJPY = "="; updn_clr6 = Gray; }

   if (cUSD > pUSD) { udUSD = "5"; updn_clr7 = White; }
   if (cUSD < pUSD) { udUSD = "6"; updn_clr7 = White; }
   if (cUSD == pUSD) { udUSD = "="; updn_clr7 = Gray; }

  //**********************************************************************************************

   string s13EUR = "", s13GBP = "", s13AUD = "", s13CHF = "", 
          s13CAD = "", s13JPY = "", s13USD = "";
   color trend_clr1, trend_clr2, trend_clr3, trend_clr4, 
         trend_clr5, trend_clr6, trend_clr7;
   
   if (cEUR < cUSD) { s13EUR = "g"; trend_clr1 = DarkOrange; }
   if (cEUR > cUSD) { s13EUR = "g"; trend_clr1 = MediumSeaGreen; }
   if (cEUR == cUSD) { s13EUR = "g"; trend_clr1 = White; }

   if (cGBP < cUSD) { s13GBP = "g"; trend_clr2 = DarkOrange; }
   if (cGBP > cUSD) { s13GBP = "g"; trend_clr2 = MediumSeaGreen; }
   if (cGBP == cUSD) { s13GBP = "g"; trend_clr2 = White; }

   if (cAUD < cUSD) { s13AUD = "g"; trend_clr3 = DarkOrange; }
   if (cAUD > cUSD) { s13AUD = "g"; trend_clr3 = MediumSeaGreen; }
   if (cAUD == cUSD) { s13AUD = "g"; trend_clr3 = White; }

   if (cCHF < cUSD) { s13CHF = "g"; trend_clr4 = DarkOrange; }
   if (cCHF > cUSD) { s13CHF = "g"; trend_clr4 = MediumSeaGreen; }
   if (cCHF == cUSD) { s13CHF = "g"; trend_clr4 = White; }

   if (cCAD < cUSD) { s13CAD = "g"; trend_clr5 = DarkOrange; }
   if (cCAD > cUSD) { s13CAD = "g"; trend_clr5 = MediumSeaGreen; }
   if (cCAD == cUSD) { s13CAD = "g"; trend_clr5 = White; }

   if (cJPY < cUSD) { s13JPY = "g"; trend_clr6 = DarkOrange; }
   if (cJPY > cUSD) { s13JPY = "g"; trend_clr6 = MediumSeaGreen; }
   if (cJPY == cUSD) { s13JPY = "g"; trend_clr6 = White; }

   if (cUSD < cUSD) { s13USD = "g"; trend_clr7 = White; }
   if (cUSD > cUSD) { s13USD = "g"; trend_clr7 = White; }
   if (cUSD == cUSD) { s13USD = "g"; trend_clr7 = White; }

  //**********************************************************************************************
           ObjectCreate("EUR1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("EUR1ab", OBJPROP_CORNER, 1);
   ObjectSetText("EUR1ab", "EURUSD", 9, "Arial Bold", EURUSD_clr);
   ObjectSet("EUR1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("EUR1ab", OBJPROP_YDISTANCE, 15); 
           ObjectCreate("EUR2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("EUR2ab", OBJPROP_CORNER, 1);
   ObjectSetText("EUR2ab", LvEUR, 15, "Webdings",level_clr1);
   ObjectSet("EUR2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("EUR2ab", OBJPROP_YDISTANCE, 9); 
           ObjectCreate("EUR3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("EUR3ab", OBJPROP_CORNER, 1);
   ObjectSetText("EUR3ab", udEUR, 17, "Webdings",updn_clr1);
   ObjectSet("EUR3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("EUR3ab", OBJPROP_YDISTANCE, 7); 
           ObjectCreate("EUR4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("EUR4ab", OBJPROP_CORNER, 1);
   ObjectSetText("EUR4ab", s13EUR, 5, "Webdings",trend_clr1);
   ObjectSet("EUR4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("EUR4ab", OBJPROP_YDISTANCE, 19); 

           ObjectCreate("GBP1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("GBP1ab", OBJPROP_CORNER, 1);
   ObjectSetText("GBP1ab", "GBPUSD", 9, "Arial Bold", GBPUSD_clr);
   ObjectSet("GBP1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("GBP1ab", OBJPROP_YDISTANCE, 40); 
           ObjectCreate("GBP2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("GBP2ab", OBJPROP_CORNER, 1);
   ObjectSetText("GBP2ab", LvGBP, 15, "Webdings",level_clr2);
   ObjectSet("GBP2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("GBP2ab", OBJPROP_YDISTANCE, 34); 
           ObjectCreate("GBP3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("GBP3ab", OBJPROP_CORNER, 1);
   ObjectSetText("GBP3ab", udGBP, 17, "Webdings",updn_clr2);
   ObjectSet("GBP3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("GBP3ab", OBJPROP_YDISTANCE, 32); 
           ObjectCreate("GBP4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("GBP4ab", OBJPROP_CORNER, 1);
   ObjectSetText("GBP4ab", s13GBP, 5, "Webdings",trend_clr2);
   ObjectSet("GBP4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("GBP4ab", OBJPROP_YDISTANCE, 44); 

           ObjectCreate("AUD1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("AUD1ab", OBJPROP_CORNER, 1);
   ObjectSetText("AUD1ab", "AUDUSD", 9, "Arial Bold", AUDUSD_clr);
   ObjectSet("AUD1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("AUD1ab", OBJPROP_YDISTANCE, 65); 
           ObjectCreate("AUD2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("AUD2ab", OBJPROP_CORNER, 1);
   ObjectSetText("AUD2ab", LvAUD, 15, "Webdings",level_clr3);
   ObjectSet("AUD2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("AUD2ab", OBJPROP_YDISTANCE, 59); 
           ObjectCreate("AUD3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("AUD3ab", OBJPROP_CORNER, 1);
   ObjectSetText("AUD3ab", udAUD, 17, "Webdings",updn_clr3);
   ObjectSet("AUD3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("AUD3ab", OBJPROP_YDISTANCE, 57); 
           ObjectCreate("AUD4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("AUD4ab", OBJPROP_CORNER, 1);
   ObjectSetText("AUD4ab", s13AUD, 5, "Webdings",trend_clr3);
   ObjectSet("AUD4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("AUD4ab", OBJPROP_YDISTANCE, 69); 

           ObjectCreate("USD1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("USD1ab", OBJPROP_CORNER, 1);
   ObjectSetText("USD1ab", "MID.Line", 9, "Arial Bold", MID.Line_clr);
   ObjectSet("USD1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("USD1ab", OBJPROP_YDISTANCE, 90); 
           ObjectCreate("USD2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("USD2ab", OBJPROP_CORNER, 1);
   ObjectSetText("USD2ab", LvUSD, 15, "Webdings",level_clr7);
   ObjectSet("USD2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("USD2ab", OBJPROP_YDISTANCE, 84); 
           ObjectCreate("USD3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("USD3ab", OBJPROP_CORNER, 1);
   ObjectSetText("USD3ab", udUSD, 17, "Webdings",updn_clr7);
   ObjectSet("USD3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("USD3ab", OBJPROP_YDISTANCE, 82); 
           ObjectCreate("USD4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("USD4ab", OBJPROP_CORNER, 1);
   ObjectSetText("USD4ab", s13USD, 5, "Webdings",trend_clr7);
   ObjectSet("USD4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("USD4ab", OBJPROP_YDISTANCE, 94); 

           ObjectCreate("CAD1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CAD1ab", OBJPROP_CORNER, 1);
   ObjectSetText("CAD1ab", "USDCAD", 9, "Arial Bold", USDCAD_clr);
   ObjectSet("CAD1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("CAD1ab", OBJPROP_YDISTANCE, 115); 
           ObjectCreate("CAD2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CAD2ab", OBJPROP_CORNER, 1);
   ObjectSetText("CAD2ab", LvCAD, 15, "Webdings",level_clr5);
   ObjectSet("CAD2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("CAD2ab", OBJPROP_YDISTANCE, 109); 
           ObjectCreate("CAD3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CAD3ab", OBJPROP_CORNER, 1);
   ObjectSetText("CAD3ab", udCAD, 17, "Webdings",updn_clr5);
   ObjectSet("CAD3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("CAD3ab", OBJPROP_YDISTANCE, 107); 
           ObjectCreate("CAD4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CAD4ab", OBJPROP_CORNER, 1);
   ObjectSetText("CAD4ab", s13CAD, 5, "Webdings",trend_clr5);
   ObjectSet("CAD4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("CAD4ab", OBJPROP_YDISTANCE, 119); 

           ObjectCreate("CHF1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CHF1ab", OBJPROP_CORNER, 1);
   ObjectSetText("CHF1ab", "USDCHF", 9, "Arial Bold", USDCHF_clr);
   ObjectSet("CHF1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("CHF1ab", OBJPROP_YDISTANCE, 140); 
           ObjectCreate("CHF2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CHF2ab", OBJPROP_CORNER, 1);
   ObjectSetText("CHF2ab", LvCHF, 15, "Webdings",level_clr4);
   ObjectSet("CHF2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("CHF2ab", OBJPROP_YDISTANCE, 134); 
           ObjectCreate("CHF3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CHF3ab", OBJPROP_CORNER, 1);
   ObjectSetText("CHF3ab", udCHF, 17, "Webdings",updn_clr4);
   ObjectSet("CHF3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("CHF3ab", OBJPROP_YDISTANCE, 132); 
           ObjectCreate("CHF4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("CHF4ab", OBJPROP_CORNER, 1);
   ObjectSetText("CHF4ab", s13CHF, 5, "Webdings",trend_clr4);
   ObjectSet("CHF4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("CHF4ab", OBJPROP_YDISTANCE, 144); 

           ObjectCreate("JPY1ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("JPY1ab", OBJPROP_CORNER, 1);
   ObjectSetText("JPY1ab", "USDJPY", 9, "Arial Bold", USDJPY_clr);
   ObjectSet("JPY1ab", OBJPROP_XDISTANCE, 50);
   ObjectSet("JPY1ab", OBJPROP_YDISTANCE, 165); 
           ObjectCreate("JPY2ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("JPY2ab", OBJPROP_CORNER, 1);
   ObjectSetText("JPY2ab", LvJPY, 15, "Webdings",level_clr6);
   ObjectSet("JPY2ab", OBJPROP_XDISTANCE, 9);
   ObjectSet("JPY2ab", OBJPROP_YDISTANCE, 159); 
           ObjectCreate("JPY3ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("JPY3ab", OBJPROP_CORNER, 1);
   ObjectSetText("JPY3ab", udJPY, 17, "Webdings",updn_clr6);
   ObjectSet("JPY3ab", OBJPROP_XDISTANCE, 7);
   ObjectSet("JPY3ab", OBJPROP_YDISTANCE, 157); 
           ObjectCreate("JPY4ab", OBJ_LABEL, WindowFind("+JoGET_MultiPairs+"), 0, 0);
   ObjectSet("JPY4ab", OBJPROP_CORNER, 1);
   ObjectSetText("JPY4ab", s13JPY, 5, "Webdings",trend_clr6);
   ObjectSet("JPY4ab", OBJPROP_XDISTANCE, 33);
   ObjectSet("JPY4ab", OBJPROP_YDISTANCE, 169); 

   }

  //**********************************************************************************************
   
//----
   return(0);
  }
//+-----------------------------------------------------------------------+

/*


 
      double EUR=iClose("EURUSD",0,i) / Point * MarketInfo("EURUSD",MODE_TICKVALUE) ; 
      double GBP=iClose("GBPUSD",0,i) / Point * MarketInfo("GBPUSD",MODE_TICKVALUE) ;  
      double AUD=iClose("AUDUSD",0,i) / Point * MarketInfo("AUDUSD",MODE_TICKVALUE) ;  
      double CHF=iClose("USDCHF",0,i) / Point * MarketInfo("USDCHF",MODE_TICKVALUE) ;  
      double CAD=iClose("USDCAD",0,i) / Point * MarketInfo("USDCAD",MODE_TICKVALUE) ;  
      double JPY=iClose("USDJPY",0,i) / Point * MarketInfo("USDJPY",MODE_TICKVALUE) ; 
*/