
//tro_rsi_of_volatility


/*
Inputs:
AVL(3),
RSILEN(3),
Obought(85),
Osold(25);

Vars:
XXX(0);

if o>c then XXX=o-c;
if c>o then XXX=c-o;

plot1 (rsi(average(XXX,AVL),RSILEN));
plot2 (50);
plot3 (Osold);
Plot4 (OBought);
*/


#property indicator_separate_window
//#property indicator_minimum 0
//#property indicator_maximum 100
#property indicator_buffers 3
#property indicator_color1 DodgerBlue
//---- input parameters



extern int RSIPeriod = 3;
extern int AVL       = 3;
extern int Obought   = 85;
extern int Osold     = 25;

//---- buffers
double RSIBuffer[];
double PosBuffer[];
double NegBuffer[];

double point, open, close, xxx[],  avgxxx[] ;  

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;

//---- indicator line

//---- name for DataWindow and indicator subwindow label

   short_name="RSIVOL("+RSIPeriod+")";
   IndicatorShortName(short_name);
   
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,RSIBuffer); // avgxxx  
   SetIndexLabel(0,short_name);
   SetIndexDrawBegin(0,RSIPeriod);

SetIndexLabel(1,"xxx");
SetIndexBuffer(1,xxx); // avgxxx  
SetIndexStyle(1,DRAW_NONE);

SetIndexLabel(2,"avgxxx");
SetIndexBuffer(2,avgxxx); // avgxxx  
SetIndexStyle(2,DRAW_NONE);

// ArraySetAsSeries(xxx,true);
//   ArraySetAsSeries(avgxxx,true);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Relative Strength Index                                          |
//+------------------------------------------------------------------+

int start()
  {
   int    i,counted_bars=IndicatorCounted();
   double rel,negative,positive;
//----
   if(Bars<=RSIPeriod) return(0);
//---- initial zero
   if(counted_bars<1)
      for(i=1;i<=RSIPeriod;i++) RSIBuffer[Bars-i]=0.0;
//----
   i=Bars-RSIPeriod-1;
   if(counted_bars>=RSIPeriod) i=Bars-counted_bars-1;


//ArrayResize(xxx,Bars+1);
//ArrayResize(avgxxx,Bars+1);
   
   for(int j=0;j<=i;j++)
   {
   open  = iOpen(NULL,0,j) ;
   close = iClose(NULL,0,j) ;
   
   xxx[j] = MathAbs(close - open) ;
   }
   


   for(j=0;j<=i;j++) {avgxxx[j]= iMAOnArray(xxx,Bars,AVL,0,0,j);  }


   
   while(i>=0)
     {
      double sumn=0.0,sump=0.0;
      if(i==Bars-RSIPeriod-1)
        {
         int k=Bars-2;
         //---- initial accumulation
         while(k>=i)
           {
            rel=avgxxx[k]-avgxxx[k+1];
            if(rel>0) sump+=rel;
            else      sumn-=rel;
            k--;
           }
         positive=sump/RSIPeriod;
         negative=sumn/RSIPeriod;
        }
      else
        {
         //---- smoothed moving average
         rel=avgxxx[i]-avgxxx[i+1];
         if(rel>0) sump=rel;
         else      sumn=-rel;
         positive=(PosBuffer[i+1]*(RSIPeriod-1)+sump)/RSIPeriod;
         negative=(NegBuffer[i+1]*(RSIPeriod-1)+sumn)/RSIPeriod;
        }
      PosBuffer[i]=positive;
      NegBuffer[i]=negative;
      if(negative==0.0) RSIBuffer[i]=0.0;
      else RSIBuffer[i]=100.0-100.0/(1+positive/negative);
      i--;
     }
 

j = 0 ;
Comment( "j= " +  j, "  xxx[j]= ", DoubleToStr( xxx[j],8),"\n", 
"  avgxxx[j]= ", DoubleToStr( avgxxx[j],8),"\n",
"  PosBuffer[j]= ", DoubleToStr( PosBuffer[j],8),"\n",
"  NegBuffer[j]= ", DoubleToStr( NegBuffer[j],8),"\n",
"  positive= ", DoubleToStr( positive,8),"\n",
"  negative= ", DoubleToStr( negative,8),"\n",
"  sump= ", DoubleToStr( sump,8),"\n",
"  sumn= ", DoubleToStr( sumn,8),"\n",

"" ) ; 


   return(0);
  }
//+------------------------------------------------------------------+